=== modified file 'drizzled/field/blob.cc'
--- drizzled/field/blob.cc	2008-09-23 01:53:40 +0000
+++ drizzled/field/blob.cc	2008-10-02 16:32:09 +0000
@@ -28,7 +28,7 @@
 uint32_t
 blob_pack_length_to_max_length(uint arg)
 {
-  return (1 << cmin(arg, 4U) * 8) - 1;
+  return (INT64_C(1) << cmin(arg, 4U) * 8) - INT64_C(1);
 }
 
 

=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2008-09-23 01:53:40 +0000
+++ drizzled/field/date.cc	2008-10-02 16:32:09 +0000
@@ -111,7 +111,7 @@
                          (TIME_FUZZY_DATE |
                           (thd->variables.sql_mode &
                            (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))),
-                         &error) == -1)
+                         &error) == INT64_C(-1))
   {
     tmp= 0L;
     error= 2;

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2008-09-23 01:53:40 +0000
+++ drizzled/field/datetime.cc	2008-10-02 16:32:09 +0000
@@ -98,7 +98,7 @@
                                           (MODE_NO_ZERO_DATE |
                                            MODE_INVALID_DATES))), &error);
 
-  if (nr == -1)
+  if (nr == INT64_C(-1))
   {
     nr= 0;
     error= 2;
@@ -134,7 +134,7 @@
   if (time_type == DRIZZLE_TIMESTAMP_DATE ||
       time_type == DRIZZLE_TIMESTAMP_DATETIME)
   {
-    tmp=((ltime->year*10000L+ltime->month*100+ltime->day)*1000000L+
+    tmp=((ltime->year*10000L+ltime->month*100+ltime->day)*INT64_C(1000000)+
 	 (ltime->hour*10000L+ltime->minute*100+ltime->second));
     if (check_date(ltime, tmp != 0,
                    (TIME_FUZZY_DATE |
@@ -212,8 +212,8 @@
     Avoid problem with slow int64_t arithmetic and sprintf
   */
 
-  part1=(long) (tmp/1000000L);
-  part2=(long) (tmp - (uint64_t) part1*1000000L);
+  part1=(long) (tmp/INT64_C(1000000));
+  part2=(long) (tmp - (uint64_t) part1*INT64_C(1000000));
 
   pos=(char*) val_buffer->ptr() + MAX_DATETIME_WIDTH;
   *pos--=0;
@@ -243,8 +243,8 @@
 {
   int64_t tmp=Field_datetime::val_int();
   uint32_t part1,part2;
-  part1=(uint32_t) (tmp/1000000L);
-  part2=(uint32_t) (tmp - (uint64_t) part1*1000000L);
+  part1=(uint32_t) (tmp/INT64_C(1000000));
+  part2=(uint32_t) (tmp - (uint64_t) part1*INT64_C(1000000));
 
   ltime->time_type=	DRIZZLE_TIMESTAMP_DATETIME;
   ltime->neg=		0;

=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2008-09-23 01:53:40 +0000
+++ drizzled/field/timestamp.cc	2008-10-02 16:32:09 +0000
@@ -214,7 +214,7 @@
   /* We don't want to store invalid or fuzzy datetime values in TIMESTAMP */
   int64_t tmp= number_to_datetime(nr, &l_time, (thd->variables.sql_mode &
                                                  MODE_NO_ZERO_DATE), &error);
-  if (tmp == -1)
+  if (tmp == INT64_C(-1))
   {
     error= 2;
   }
@@ -268,8 +268,9 @@
   
   thd->variables.time_zone->gmt_sec_to_TIME(&time_tmp, (my_time_t)temp);
   
-  return time_tmp.year * 10000000000L + time_tmp.month * 100000000L +
-         time_tmp.day * 1000000L + time_tmp.hour * 10000L +
+  return time_tmp.year * INT64_C(10000000000) +
+         time_tmp.month * INT64_C(100000000) +
+         time_tmp.day * 1000000 + time_tmp.hour * 10000 +
          time_tmp.minute * 100 + time_tmp.second;
 }
 

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-10-02 05:41:33 +0000
+++ drizzled/handler.h	2008-10-02 16:32:09 +0000
@@ -165,20 +165,20 @@
 #define HA_CAN_BIT_FIELD       (1 << 28) /* Historical, no longer supported */
 #define HA_NEED_READ_RANGE_BUFFER (1 << 29) /* for read_multi_range */
 #define HA_ANY_INDEX_MAY_BE_UNIQUE (1 << 30)
-#define HA_NO_COPY_ON_ALTER    (1L << 31)
-#define HA_HAS_RECORDS	       (1L << 32) /* records() gives exact count*/
+#define HA_NO_COPY_ON_ALTER    (INT64_C(1) << 31)
+#define HA_HAS_RECORDS	       (INT64_C(1) << 32) /* records() gives exact count*/
 /* Has it's own method of binlog logging */
-#define HA_HAS_OWN_BINLOGGING  (1L << 33) /* Historical, no longer supported */
-#define HA_MRR_CANT_SORT       (1L << 34)
+#define HA_HAS_OWN_BINLOGGING  (INT64_C(1) << 33) /* Historical, no longer supported */
+#define HA_MRR_CANT_SORT       (INT64_C(1) << 34)
 
 /*
   Engine is capable of row-format and statement-format logging,
   respectively
 */
-#define HA_BINLOG_ROW_CAPABLE  (1L << 35)
-#define HA_BINLOG_STMT_CAPABLE (1L << 36)
+#define HA_BINLOG_ROW_CAPABLE  (INT64_C(1) << 35)
+#define HA_BINLOG_STMT_CAPABLE (INT64_C(1) << 36)
 
-#define HA_ONLINE_ALTER        (1L << 37)
+#define HA_ONLINE_ALTER        (INT64_C(1) << 37)
 
 /*
   Set of all binlog flags. Currently only contain the capabilities

=== modified file 'libdrizzle/drizzle_com.h'
--- libdrizzle/drizzle_com.h	2008-10-02 05:41:33 +0000
+++ libdrizzle/drizzle_com.h	2008-10-02 16:32:09 +0000
@@ -47,57 +47,57 @@
    TODO: separate three contexts above, move them to separate bitfields.
 */
 
-#define SELECT_DISTINCT         (1U << 0)     // SELECT, user
-#define SELECT_STRAIGHT_JOIN    (1U << 1)     // SELECT, user
-#define SELECT_DESCRIBE         (1U << 2)     // SELECT, user
-#define SELECT_SMALL_RESULT     (1U << 3)     // SELECT, user
-#define SELECT_BIG_RESULT       (1U << 4)     // SELECT, user
-#define OPTION_FOUND_ROWS       (1U << 5)     // SELECT, user
-#define SELECT_NO_JOIN_CACHE    (1U << 7)     // intern
-#define OPTION_BIG_TABLES       (1U << 8)     // THD, user
-#define OPTION_BIG_SELECTS      (1U << 9)     // THD, user
-#define OPTION_LOG_OFF          (1U << 10)    // THD, user
-#define OPTION_QUOTE_SHOW_CREATE (1U << 11)   // THD, user, unused
-#define TMP_TABLE_ALL_COLUMNS   (1U << 12)    // SELECT, intern
-#define OPTION_WARNINGS         (1U << 13)    // THD, user
-#define OPTION_AUTO_IS_NULL     (1U << 14)    // THD, user, binlog
-#define OPTION_FOUND_COMMENT    (1U << 15)    // SELECT, intern, parser
-#define OPTION_SAFE_UPDATES     (1U << 16)    // THD, user
-#define OPTION_BUFFER_RESULT    (1U << 17)    // SELECT, user
-#define OPTION_BIN_LOG          (1U << 18)    // THD, user
-#define OPTION_NOT_AUTOCOMMIT   (1U << 19)    // THD, user
-#define OPTION_BEGIN            (1U << 20)    // THD, intern
-#define OPTION_TABLE_LOCK       (1U << 21)    // THD, intern
-#define OPTION_QUICK            (1U << 22)    // SELECT (for DELETE)
-#define OPTION_KEEP_LOG         (1U << 23)    // THD, user
+#define SELECT_DISTINCT         (UINT64_C(1) << 0)     // SELECT, user
+#define SELECT_STRAIGHT_JOIN    (UINT64_C(1) << 1)     // SELECT, user
+#define SELECT_DESCRIBE         (UINT64_C(1) << 2)     // SELECT, user
+#define SELECT_SMALL_RESULT     (UINT64_C(1) << 3)     // SELECT, user
+#define SELECT_BIG_RESULT       (UINT64_C(1) << 4)     // SELECT, user
+#define OPTION_FOUND_ROWS       (UINT64_C(1) << 5)     // SELECT, user
+#define SELECT_NO_JOIN_CACHE    (UINT64_C(1) << 7)     // intern
+#define OPTION_BIG_TABLES       (UINT64_C(1) << 8)     // THD, user
+#define OPTION_BIG_SELECTS      (UINT64_C(1) << 9)     // THD, user
+#define OPTION_LOG_OFF          (UINT64_C(1) << 10)    // THD, user
+#define OPTION_QUOTE_SHOW_CREATE (UINT64_C(1) << 11)   // THD, user, unused
+#define TMP_TABLE_ALL_COLUMNS   (UINT64_C(1) << 12)    // SELECT, intern
+#define OPTION_WARNINGS         (UINT64_C(1) << 13)    // THD, user
+#define OPTION_AUTO_IS_NULL     (UINT64_C(1) << 14)    // THD, user, binlog
+#define OPTION_FOUND_COMMENT    (UINT64_C(1) << 15)    // SELECT, intern, parser
+#define OPTION_SAFE_UPDATES     (UINT64_C(1) << 16)    // THD, user
+#define OPTION_BUFFER_RESULT    (UINT64_C(1) << 17)    // SELECT, user
+#define OPTION_BIN_LOG          (UINT64_C(1) << 18)    // THD, user
+#define OPTION_NOT_AUTOCOMMIT   (UINT64_C(1) << 19)    // THD, user
+#define OPTION_BEGIN            (UINT64_C(1) << 20)    // THD, intern
+#define OPTION_TABLE_LOCK       (UINT64_C(1) << 21)    // THD, intern
+#define OPTION_QUICK            (UINT64_C(1) << 22)    // SELECT (for DELETE)
+#define OPTION_KEEP_LOG         (UINT64_C(1) << 23)    // THD, user
 
 /* The following is used to detect a conflict with DISTINCT */
-#define SELECT_ALL              (1U << 24)    // SELECT, user, parser
+#define SELECT_ALL              (UINT64_C(1) << 24)    // SELECT, user, parser
 
 /** The following can be set when importing tables in a 'wrong order'
    to suppress foreign key checks */
-#define OPTION_NO_FOREIGN_KEY_CHECKS    (1U << 26) // THD, user, binlog
+#define OPTION_NO_FOREIGN_KEY_CHECKS    (UINT64_C(1) << 26) // THD, user, binlog
 /** The following speeds up inserts to InnoDB tables by suppressing unique
    key checks in some cases */
-#define OPTION_RELAXED_UNIQUE_CHECKS    (1U << 27) // THD, user, binlog
-#define SELECT_NO_UNLOCK                (1U << 28) // SELECT, intern
-#define OPTION_SCHEMA_TABLE             (1U << 29) // SELECT, intern
+#define OPTION_RELAXED_UNIQUE_CHECKS    (UINT64_C(1) << 27) // THD, user, binlog
+#define SELECT_NO_UNLOCK                (UINT64_C(1) << 28) // SELECT, intern
+#define OPTION_SCHEMA_TABLE             (UINT64_C(1) << 29) // SELECT, intern
 /** Flag set if setup_tables already done */
-#define OPTION_SETUP_TABLES_DONE        (1U << 30) // intern
+#define OPTION_SETUP_TABLES_DONE        (UINT64_C(1) << 30) // intern
 /** If not set then the thread will ignore all warnings with level notes. */
-#define OPTION_SQL_NOTES                (1U << 31) // THD, user
+#define OPTION_SQL_NOTES                (UINT64_C(1) << 31) // THD, user
 /**
   Force the used temporary table to be a MyISAM table (because we will use
   fulltext functions when reading from it.
 */
-#define TMP_TABLE_FORCE_MYISAM          (1UL << 32)
-#define OPTION_PROFILING                (1UL << 33)
+#define TMP_TABLE_FORCE_MYISAM          (UINT64_C(1) << 32)
+#define OPTION_PROFILING                (UINT64_C(1) << 33)
 
 /*
   Dont report errors for individual rows,
   But just report error on commit (or read ofcourse)
 */
-#define OPTION_ALLOW_BATCH              (1UL << 33) // THD, intern (slave)
+#define OPTION_ALLOW_BATCH              (UINT64_C(1) << 33) // THD, intern (slave)
 
 /**
   Maximum length of time zone name that we support

